Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.existential
Class Existential

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.existential.Existential

Deprecated. This class should not be used - it has been replaced with ExistentialFillerProvider

    public class Existential

extends Object

A utility class to compute transitive relationships between classes.

Author:
  Holger Knublauch

Constructor Summary
`Existential()` Deprecated.

Method Summary
`static OWLSomeValuesFrom` | `getDirectExistentialRelation(OWLNamedClass parentClass, OWLObjectProperty property, OWLNamedClass childClass)` Deprecated.
`static List` | `getExistentialDependents(OWLNamedClass cls, OWLObjectProperty property)` Deprecated. Computes the collection of all NamedClses which are related to cls through a direct someValuesFrom restriction for a given property.
`static boolean` | `isDirectExistentialDependent(OWLNamedClass parentClass, OWLObjectProperty property, OWLNamedClass childClass)` Deprecated.
`static void` | `removeExistentialDependent(OWLNamedClass parentClass, OWLObjectProperty property, OWLNamedClass childClass)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Existential

    public Existential()

  Deprecated.

Method Detail

### getExistentialDependents

    public static List getExistentialDependents(OWLNamedClass cls,
                                                OWLObjectProperty property)

  Deprecated.
  Computes the collection of all NamedClses which are related to cls through a direct someValuesFrom restriction for a given property.

  Parameters:
    `cls` - the named class to start at
    `property` - the (transitive) property to check
  Returns:
    a List of OWLNamedClass instances - sorted alphabetically

### getDirectExistentialRelation

    public static OWLSomeValuesFrom getDirectExistentialRelation(OWLNamedClass parentClass,
                                                                 OWLObjectProperty property,
                                                                 OWLNamedClass childClass)

  Deprecated.

### isDirectExistentialDependent

    public static boolean isDirectExistentialDependent(OWLNamedClass parentClass,
                                                       OWLObjectProperty property,
                                                       OWLNamedClass childClass)

  Deprecated.

### removeExistentialDependent

    public static void removeExistentialDependent(OWLNamedClass parentClass,
                                                  OWLObjectProperty property,
                                                  OWLNamedClass childClass)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.